## org.w3c.dom.html
Interface HTMLStyleElement

All Known Implementing Classes:
  HTMLStyleElementImpl

public interface HTMLStyleElement
extends HTMLElement

Style information. See the STYLE element definition in HTML 4.0, the module and the `LinkStyle` interface in the module.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` `getDisabled()` Enables/disables the style sheet.
`java.lang.String` `getMedia()` Designed for use with one or more target media.
`java.lang.String` `getType()` The content type pf the style sheet language.
`void` `setDisabled(boolean disabled)`
`void` `setMedia(java.lang.String media)`
`void` `setType(java.lang.String type)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getDisabled

    public boolean getDisabled()

  Enables/disables the style sheet.

### setDisabled

    public void setDisabled(boolean disabled)

### getMedia

    public java.lang.String getMedia()

  Designed for use with one or more target media. See the media attribute definition in HTML 4.0.

### setMedia

    public void setMedia(java.lang.String media)

### getType

    public java.lang.String getType()

  The content type pf the style sheet language. See the type attribute definition in HTML 4.0.

### setType

    public void setType(java.lang.String type)

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.